---
- name: "Create system user for Redis, import certificates, install Redis/Sentinel and configure them"
  hosts: "{{ tower_hosts | default([]) }}:&role-prepare-host:&role-install-redis:&role-import-certificate"
  gather_facts: true
  become: true
  become_method: "sudo"
  become_user: "root"

  tasks:

    - name: "Include labocbz.prepare_host"
      tags:
        - "labocbz.prepare_host"
      vars:
        prepare_host__users_to_add: "{{ inv__prepare_host__users_to_add__install_redis }}"
      ansible.builtin.include_role:
        name: "labocbz.prepare_host"

    - name: "Include labocbz.import_certificate"
      tags:
        - "labocbz.import_certificate"
      loop: "{{ inv__import_certificate__bundles__install_redis }}"
      loop_control:
        loop_var: "certificate_bundle"
      vars:
        import_certificate__bundle_name: "{{ certificate_bundle.name }}"
        import_certificate__bundle_type: "{{ certificate_bundle.type }}"
        import_certificate__bundle_src: "{{ certificate_bundle.src }}"
        import_certificate__bundle_dest: "{{ certificate_bundle.dest }}"
        import_certificate__bundle_src_user: "{{ certificate_bundle.src_user }}"
        import_certificate__bundle_src_password: "{{ certificate_bundle.src_password }}"
        import_certificate__bundle_dest_user: "{{ certificate_bundle.dest_user }}"
        import_certificate__bundle_dest_group: "{{ certificate_bundle.dest_group }}"
        import_certificate__bundle_dest_mode: "{{ certificate_bundle.dest_mode }}"
      ansible.builtin.include_role:
        name: "labocbz.import_certificate"

    - name: "Include labocbz.install_redis"
      tags:
        - "labocbz.install_redis"
      vars:
        install_redis: "{{ inv__install_redis }}"
        install_redis__cluster: "{{ inv__install_redis__cluster }}"
      ansible.builtin.include_role:
        name: "labocbz.install_redis"
